# Uses of Interface
com.sun.source.doctree.IdentifierTree

Packages that use IdentifierTree
Package
Description
com.sun.source.doctree
Provides interfaces to represent documentation comments as abstract syntax trees (AST).
com.sun.source.util
Provides utilities for operations on abstract syntax trees (AST).

- ## Uses of IdentifierTree in com.sun.source.doctree

  Methods in com.sun.source.doctree that return IdentifierTree
  Modifier and Type
  Method
  Description
  `IdentifierTree`
  ParamTree.`getName()`
  Returns the name of the parameter.
  `IdentifierTree`
  SerialFieldTree.`getName()`
  Returns the name of the serial field.
  Methods in com.sun.source.doctree with parameters of type IdentifierTree
  Modifier and Type
  Method
  Description
  `R`
  DocTreeVisitor.`visitIdentifier(IdentifierTree node, P p)`
  Visits an `IdentifierTree` node.

- ## Uses of IdentifierTree in com.sun.source.util

  Methods in com.sun.source.util that return IdentifierTree
  Modifier and Type
  Method
  Description
  `IdentifierTree`
  DocTreeFactory.`newIdentifierTree(Name name)`
  Creates a new `IdentifierTree` object, to represent an identifier, such as in a `@param` tag.
  Methods in com.sun.source.util with parameters of type IdentifierTree
  Modifier and Type
  Method
  Description
  `ParamTree`
  DocTreeFactory.`newParamTree(boolean isTypeParameter, IdentifierTree name, List<? extends DocTree> description)`
  Creates a new `ParamTree` object, to represent a `@param` tag.
  `SerialFieldTree`
  DocTreeFactory.`newSerialFieldTree(IdentifierTree name, ReferenceTree type, List<? extends DocTree> description)`
  Creates a new `SerialFieldTree` object, to represent a `@serialField` tag.
  `R`
  DocTreeScanner.`visitIdentifier(IdentifierTree node, P p)`
  Visits an `IdentifierTree` node.
  `R`
  SimpleDocTreeVisitor.`visitIdentifier(IdentifierTree node, P p)`
  Visits an `IdentifierTree` node.